Docs Ali Pix /openapi/v2/image/template/generate
API reference

Image template generation interface

Generate an image from an uploaded image and template ID; returns image_id for polling.

POST/openapi/v2/image/template/generate

Body Parametersapplication/json

img_ids* array

List of image resource IDs

items
integer integer
template_id* integer

Template ID

Responses

200 application/json
response-200 object
400 Bad request or validation failed application/json
response-400 object
properties
error* object
401 Missing or invalid API Key application/json
response-401 object
Request Body Example
1{
2"img_ids": [
30
4],
5"template_id": 384631857552768
6}
Code Sample cURL
1curl -X POST "https://api.digislash.com/openapi/v2/image/template/generate" \
2-H "Authorization: Bearer <API Key>" \
3-H "Content-Type: application/json" \
4-d '{
5"img_ids": [
60
7],
8"template_id": 384631857552768
9}'
Response
1▼{
2"ErrCode": 0,
3"ErrMsg": "success",
4▼"RespData": {
5"id": 123456
6}
7}